Deletes the configuration of one S3-compatible oplog store.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/admin/backup
Resource
DELETE /oplog/s3Configs/{S3-OPLOG-CONFIG-ID}Request Path Parameters
Name | Type | Description |
|---|---|---|
S3-OPLOG-CONFIG-ID | string | The unique identifier that represents this S3 Oplog configuration. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
This endpoint does not have response elements.
Example Request
curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \ --include \ --request DELETE 'https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/admin/backup/oplog/s3Configs/{S3-OPLOG-CONFIG-ID}'Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
This endpoint doesn't return a response body.